<?php echo $header; ?>
<div id="content">
	<div class="breadcrumb">
		<?php foreach ($breadcrumbs as $breadcrumb) { ?>
		<?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
		<?php } ?>
	</div>
	<?php if ($error_warning) { ?>
		<div class="warning"><?php echo $error_warning; ?></div>
	<?php } ?>
	<div class="box">    
		<div class="heading">
			<h1><img src="view/image/shipping.png" alt="" /> <?php echo $heading_title; ?></h1>
			<div class="buttons"><a onclick="$('#form').submit();" class="button"><span><?php echo $button_save; ?></span></a><a onclick="location='<?php echo $cancel; ?>';" class="button"><span><?php echo $button_cancel; ?></span></a></div>
		</div>
		<div class="content">
			<div id="tabs" class="htabs">
				<a href="#tab-general"><?php echo $tab_general; ?></a>
				<a href="#tab-settings"><?php echo $tab_settings; ?></a>
			</div>
			<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">     
				
				<br />------------------------------------------------------
				<br /><a href="http://mahacod.ir/">شرکت توسعه عصر ارتباطات ماها</a>
				<br />------------------------------------------------------

				<div id="tab-general" class="page">
					<table class="form">
						<tr>
							<td colspan="2">
								<br /><br />
								<font size="3" color="orange"><b><?php echo $fields_configuration_1; ?></b></font>
								<br /><br />
							</td>
						</tr>
						<tr>
							<td><?php echo $entry_co_id; ?></td>
							<td><input type="text" name="mahaposts_co_id" value="<?php echo $mahaposts_co_id; ?>" size="25" /></td>
						</tr>
						<tr>
							<td><?php echo $entry_username; ?></td>
							<td><input type="text" name="mahaposts_username" value="<?php echo $mahaposts_username; ?>" size="25" /></td>
						</tr>
						<tr>
							<td><?php echo $entry_password; ?></td>
							<td><input type="text" name="mahaposts_password" value="<?php echo $mahaposts_password; ?>" size="25" /></td>
						</tr>

					</table>
				</div>
				<div id="tab-settings" class="page">
					<table class="form">
						<tr>
							<td colspan="2">  
								<br /><br />
								<font size="3" color="orange"><b><?php echo $fields_configuration_2; ?></b></font>
								<br /><br />
							</td>
						</tr>
						<tr>
							<td><?php echo $entry_default_product_weight; ?></td>
							<td><input type="text" name="mahaposts_default_product_weight" value="<?php echo $mahaposts_default_product_weight; ?>" size="25" /></td>
						</tr>
						<tr>
							<td><?php echo $entry_order_status; ?></td>
							<td>
								<select name="mahacod_payment_order_status_id">
									<?php foreach ($order_statuses as $order_status) { ?>
										<option value="<?php echo $order_status['order_status_id']; ?>" <?php echo $order_status['order_status_id'] == $mahacod_payment_order_status_id ? 'selected="selected"' : '' ?>><?php echo $order_status['name']; ?></option>
									<?php } ?>
								</select>
							</td>
						</tr>
						<tr>
							<td><?php echo $entry_status; ?></td>
							<td>
								<select name="mahacod_payment_status">
									<option value="1" <?php echo $mahacod_payment_status ? 'selected="selected"' : ''; ?>><?php echo $text_enabled; ?></option>
									<option value="0" <?php echo !$mahacod_payment_status  ? 'selected="selected"' : ''; ?>><?php echo $text_disabled; ?></option>
								</select>
							</td>
						</tr>
						<tr>
							<td><?php echo $entry_sort_order; ?></td>
							<td><input type="text" name="mahacod_payment_sort_order" value="<?php echo $mahacod_payment_sort_order; ?>" size="1" /></td>
						</tr><!--<tr>
							<td colspan="2">
								<br /><br />
								<font size="3" color="orange"><b><?php echo $fields_configuration_3; ?></b></font>
								<br /><br />
							</td>
						</tr>
                        
						<tr>
							<td><?php echo $entry_setting_maha_state; ?></td>
							<td>
								<?php
									$states = array(
										'41' => 'آذربایجان شرقی',
										'44' => 'آذربایجان غربی',
										'45' => 'اردبیل',
										'31' => 'اصفهان',
										'84' => 'ایلام',
										'77' => 'بوشهر',
										'26' => 'البرز',
										'21' => 'تهران',
										'38' => 'چهارمحال و بختیاری',
										'56' => 'خراسان جنوبی',
										'51' => 'خراسان رضوی',
										'58' => 'خراسان شمالی',
										'61' => 'خوزستان',
										'24' => 'زنجان',
										'23' => 'سمنان',
										'54' => 'سیستان و بلوچستان',
										'71' => 'فارس',
										'28' => 'قزوین',
										'25' => 'قم',
										'87' => 'کردستان',
										'34' => 'کرمان',
										'83' => 'کرمانشاه',
										'74' => 'کهکیلویه و بویراحمد',
										'17' => 'گلستان',
										'13' => 'گیلان',
										'66' => 'لرستان',
										'15' => 'مازندران',
										'86' => 'مرکزی',
										'76' => 'هرمزگان',
										'81' => 'همدان',
										'35' => 'یزد'
									);
								?>
								
								<script type="text/javascript" src="<?php echo HTTP_CATALOG; ?>catalog/view/javascript/js_mahaposts/mahaposts-maha.js"></script>
								<select id="state_id" name="mahaposts_setting_maha_state" onchange="load_Cities(this.value);">
									<option value="0"><?php echo $text_select; ?></option>
									
									<?php foreach($states as $key => $value) { ?>
										<option value="<?php echo $key; ?>" <?php echo isset($mahaposts_setting_maha_state) && $mahaposts_setting_maha_state == $key ? 'selected="selected"' : ''; ?>><?php echo $value; ?></option>
									<?php } ?>
								</select>
							</td>
						</tr>
						<tr>
							<td><?php echo $entry_setting_maha_city; ?></td>
							<td>
								<select id="city_id" name="mahaposts_setting_maha_city">
									<option value="0"><?php echo $text_select; ?></option>
								</select>
							</td>
						</tr>-->
					</table>
				</div>
			</form>
		</div>
	</div>
</div>
<script type="text/javascript">$('#tabs a').tabs(); </script>
<?php echo $footer; ?> 