<?php
class ControllerModuleMahacodRahgiri extends Controller {
	private $error = array();
	/****************************************************************************/	
	public function index() {
		/* Language */
		$this->load->language('module/mahacod_rahgiri');
		$this->document->setTitle($this->language->get('heading_title'));
		/* Mode */
		$this->load->model('setting/setting');
		$this->load->model('design/layout');
		/* (Update) */
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			$this->model_setting_setting->editSetting('mahacod_rahgiri', $this->request->post);			
			$this->session->data['success'] = $this->language->get('text_success');
			$this->redirect($this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'));
		}	
		$this->data['heading_title'] = $this->language->get('heading_title');
		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		$this->data['text_content_top'] = $this->language->get('text_content_top');
		$this->data['text_content_bottom'] = $this->language->get('text_content_bottom');		
		$this->data['text_column_left'] = $this->language->get('text_column_left');
		$this->data['text_column_right'] = $this->language->get('text_column_right');
		$this->data['entry_layout'] = $this->language->get('entry_layout');
		$this->data['entry_position'] = $this->language->get('entry_position');
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');
		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');
		$this->data['button_add_module'] = $this->language->get('button_add_module');
		$this->data['button_remove'] = $this->language->get('button_remove');
		/* Warnings */
		$this->data['error_warning'] = isset($this->error['warning']) ? $this->error['warning'] : "";
		/* Breadcrumbs */
		$this->data['breadcrumbs'] = array();
   		$this->data['breadcrumbs'][] = array('text' => $this->language->get('text_home'), 'href' => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'), 'separator' => false);
   		$this->data['breadcrumbs'][] = array('text' => $this->language->get('text_module'), 'href' => $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'), 'separator' => ' :: ');
   		$this->data['breadcrumbs'][] = array('text' => $this->language->get('heading_title'), 'href' => $this->url->link('module/mahacod_rahgiri', 'token=' . $this->session->data['token'], 'SSL'), 'separator' => ' :: ');
		/* Actions */
		$this->data['action'] = $this->url->link('module/mahacod_rahgiri', 'token=' . $this->session->data['token'], 'SSL');
		$this->data['cancel'] = $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL');
		/* (Fields)->Module */
		$this->data['modules'] = array();
		$this->data['modules'] = isset($this->request->post['mahacod_rahgiri_module']) ? $this->request->post['mahacod_rahgiri_module'] : ($this->config->get('mahacod_rahgiri_module') ? $this->config->get('mahacod_rahgiri_module') : array());
		/* DataRows */
		$this->data['layouts'] = $this->model_design_layout->getLayouts();
		/* Template */
		$this->template = 'module/mahacod_rahgiri.tpl';
		$this->children = array('common/header', 'common/footer');
		$this->response->setOutput($this->render());
	}
	/****************************************************************************/	
	private function validate() {
		if (!$this->user->hasPermission('modify', 'module/mahacod_rahgiri')) { $this->error['warning'] = $this->language->get('error_permission'); }
		return !$this->error ? true : false;
	}
}
?>