<?php
class ControllerPaymentmahacodpayment extends Controller {
	private $error = array();
	/****************************************************************************/	
	public function uninstall(){
		if (file_exists(dirname(DIR_SYSTEM).'/vqmod/xml/VQMod_customfield.xml')) { unlink(dirname(DIR_SYSTEM).'/vqmod/xml/VQMod_customfield.xml'); }
	}
	/****************************************************************************/	
	public function install() {
		if (!file_exists(dirname(DIR_SYSTEM).'/vqmod/xml/VQMod_customfield.xml')) {copy(dirname(__FILE__) . '/VQMod_customfield.xml',dirname(DIR_SYSTEM).'/vqmod/xml/VQMod_customfield.xml');}
		$query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "product` limit 1");
		$data_array = $query->row;
		if (!in_array('mahacod_pid',array_keys($data_array))){
			$this->db->query("ALTER TABLE `" . DB_PREFIX . "product` ADD `mahacod_pid` VARCHAR(100) NOT NULL DEFAULT '0' AFTER `product_id`;");
		}
	}
	/****************************************************************************/	
	public function index() {	
		if (file_exists(DIR_SYSTEM . 'library/MahaCOD-Reset.txt')) {
			$this->install(); 
			unlink(DIR_SYSTEM . 'library/MahaCOD-Reset.txt');
		}
		/* Language */
		$this->load->language('payment/mahacod_payment');
		$this->document->setTitle($this->language->get('heading_title'));
		/* Model */
		$this->load->model('setting/setting');
		$this->load->model('localisation/order_status');
		/* (Update) */
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			$this->request->post['mahaposts_options'] = base64_encode(trim(serialize($parameters)));
			$this->model_setting_setting->editSetting('mahacod_payment', $this->request->post);
			$this->session->data['success'] = $this->language->get('text_success');			
			$this->redirect($this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL'));
		}
		$this->data['heading_title'] = $this->language->get('heading_title');
		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		$this->data['text_all_zones'] = $this->language->get('text_all_zones');
		$this->data['text_select'] = $this->language->get('text_select');
		$this->data['text_none'] = $this->language->get('text_none');
		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');
		$this->data['tab_general'] = $this->language->get('tab_general');
		$this->data['tab_settings'] = $this->language->get('tab_settings');
		$this->data['fields_configuration_1'] = $this->language->get('fields_configuration_1');
		$this->data['fields_configuration_2'] = $this->language->get('fields_configuration_2');
		$this->data['fields_configuration_3'] = $this->language->get('fields_configuration_3');
		$this->data['entry_provider'] = $this->language->get('entry_provider');
		$this->data['entry_co_id'] = $this->language->get('entry_co_id');
		$this->data['entry_username'] = $this->language->get('entry_username');
		$this->data['entry_client'] = $this->language->get('entry_client');
		$this->data['entry_password'] = $this->language->get('entry_password');	
		$this->data['entry_options'] = $this->language->get('entry_options');
		$this->data['entry_default_product_weight'] = $this->language->get('entry_default_product_weight');
		$this->data['entry_order_status'] = $this->language->get('entry_order_status');		
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');
		/* Warnings */
		$this->data['error_warning'] = isset($this->error['warning']) ? $this->error['warning'] : '';
		/* Breadcrumbs */
		$this->data['breadcrumbs'] = array();
   		$this->data['breadcrumbs'][] = array('text' => $this->language->get('text_home'), 'href' =>  $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'), 'separator' => false);
   		$this->data['breadcrumbs'][] = array('text' => $this->language->get('text_payment'), 'href' => $this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL'), 'separator' => ' :: ');		
   		$this->data['breadcrumbs'][] = array('text' => $this->language->get('heading_title'), 'href' => $this->url->link('payment/mahacod_payment', 'token=' . $this->session->data['token'], 'SSL'), 'separator' => ' :: ');
		/* Actions */
		$this->data['action'] = $this->url->link('payment/mahacod_payment', 'token=' . $this->session->data['token'], 'SSL');
		$this->data['cancel'] = $this->url->link('extension/payment', 'token=' . $this->session->data['token'], 'SSL');	
		/* (Fields)->Payment */
		$this->data['mahaposts_provider'] = isset($this->request->post['mahaposts_provider']) ? $this->request->post['mahaposts_provider'] : $this->config->get('mahaposts_provider');
		$this->data['mahaposts_co_id'] = isset($this->request->post['mahaposts_co_id']) ? $this->request->post['mahaposts_co_id'] : $this->config->get('mahaposts_co_id');
		$this->data['mahaposts_username'] = isset($this->request->post['mahaposts_username']) ? $this->request->post['mahaposts_username'] : $this->config->get('mahaposts_username');
		$this->data['mahaposts_password'] = isset($this->request->post['mahaposts_password']) ? $this->request->post['mahaposts_password'] : $this->config->get('mahaposts_password');
		$this->data['mahaposts_options'] = isset($this->request->post['mahaposts_options']) ? $this->request->post['mahaposts_options'] : $this->config->get('mahaposts_options');
		$this->data['mahaposts_default_product_weight'] = isset($this->request->post['mahaposts_default_product_weight']) ? $this->request->post['mahaposts_default_product_weight'] : $this->config->get('mahaposts_default_product_weight');
		/* (Fields)->Application */
		$this->data['mahacod_payment_order_status_id'] = isset($this->request->post['mahacod_payment_order_status_id']) ? $this->request->post['mahacod_payment_order_status_id'] : $this->config->get('mahacod_payment_order_status_id');
		$this->data['mahacod_payment_sort_order'] = isset($this->request->post['mahacod_payment_sort_order']) ? $this->request->post['mahacod_payment_sort_order'] : $this->config->get('mahacod_payment_sort_order');
		$this->data['mahacod_payment_status'] = isset($this->request->post['mahacod_payment_status']) ? $this->request->post['mahacod_payment_status'] : $this->config->get('mahacod_payment_status');
		/* DataRows */
		$this->data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();
		/* Template */
		$this->template = 'payment/mahacod_payment.tpl';
		$this->children = array('common/header', 'common/footer');
		$this->response->setOutput($this->render());
	}
	/****************************************************************************/	
	private function validate() {
		if (!$this->user->hasPermission('modify', 'payment/mahacod_payment')) { $this->error['warning'] = $this->language->get('error_permission'); }
		return !$this->error ? true : false;
	}
}
?>