<?php 
class ModelPaymentmahacodpayment extends Model {
  	public function getMethod() {
		$this->load->language('payment/mahacod_payment');
		$status = $this->config->get('mahacod_payment_status') ? true : false;
		$method_data = array();
		if ($status) {
			if (isset($this->session->data['shipping_method']) && $this->session->data['shipping_method']['code'] == "mahacod_shipping.mahacod_express") {
				$status = true; 
			} elseif (isset($this->session->data['shipping_method']) && $this->session->data['shipping_method']['code'] == "mahacod_shipping.mahacod_registred") { 
				$status = true;
			} else {
				$status = false;
			}
		}
		if ($status) {
			$method_data = array('code' => 'mahacod_payment','title' => $this->language->get('text_title'),'sort_order' => $this->config->get('mahacod_payment_sort_order'));
    	}
    	return $method_data;
  	}
}
?>